from dash import html
from rats.callbackfunctions import scopeappcallbacks
import dash_bootstrap_components as dbc

def create_layout(children):
    layout = html.Div([
        html.Br(),
        html.Div(
            [html.Div(
                [html.Div(
                    [html.Button(id='pulldatascope', children='Pull the data into Scope app',
                                 className='btn btn-secondary',
                                 type='button')
                     ], id='scopepullcontainer', className='col-12 text-center')
                ], className='row')
            ], className='container text-center'),

        html.Br(),
        # put llc alignment here... maybe with a button that's called update alignment or something
        html.Div([
            html.Div([
                html.P(['LLC of interest:']),
                dbc.Input(id="llc", type="number", value=10, persistence=True),
            ], className='col-6'),

            html.Div([
                html.P(['Number of LLC intervals to buffer (+/-) the trace:']),
                dbc.Input(id="buffer", type="number", value=10, persistence=True),
            ], className='col-6'),

        ], className='row'),

        html.Br(),

        html.Div(id='scopeplots', children=children,
                 className='container-fluid text-center'),
        ########################################
    ], className='container-fluid')

    return layout



children = scopeappcallbacks.createcontent(3)

layout = html.Div([
    html.Br(),
    html.Div(
        [html.Div(
            [html.Div(
                [html.Button(id='pulldatascope', children='Pull the data into Scope app', className='btn btn-secondary',
                             type='button')
                 ], id='scopepullcontainer', className='col-12 text-center')
             ], className='row')
         ], className='container text-center'),

    html.Br(),
    # put llc alignment here... maybe with a button that's called update alignment or something
    html.Div([
        html.Div([
            html.P(['LLC of interest:']),
            dbc.Input(id=f"llc", type="number", value=10, persistence=True),
        ], className='col-6'),

        html.Div([
            html.P(['Number of LLC intervals to buffer (+/-) the trace:']),
            dbc.Input(id=f"buffer", type="number", value=10, persistence=True),
        ], className='col-6'),

    ], className='row'),

    html.Br(),

    html.Div(id='scoopeplots', children=children,
             className='container-fluid text-center'),
    ########################################
], className='container-fluid')
